Panda3D

Functions
cullTraverser.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "config_pgraph.h"`
`#include "cullTraverser.h"`
`#include "cullTraverserData.h"`
`#include "transformState.h"`
`#include "renderState.h"`
`#include "colorAttrib.h"`
`#include "renderModeAttrib.h"`
`#include "cullFaceAttrib.h"`
`#include "depthOffsetAttrib.h"`
`#include "cullHandler.h"`
`#include "dcast.h"`
`#include "geomNode.h"`
`#include "boundingSphere.h"`
`#include "boundingBox.h"`
`#include "boundingHexahedron.h"`
`#include "portalClipper.h"`
`#include "geom.h"`
`#include "geomTristrips.h"`
`#include "geomTriangles.h"`
`#include "geomLinestrips.h"`
`#include "geomLines.h"`
`#include "geomVertexWriter.h"`

Go to the source code of this file.

## Functions
| CPT (RenderState) CullTraverser
| Returns a RenderState for rendering the outside surfaces of the bounding volume visualizations. More...
| PT (Geom) CullTraverser
| Returns an appropriate visualization of the indicated bounding volume. More...

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2002-02-23

Definition in file cullTraverser.cxx.

## Function Documentation

## ◆ CPT()

CPT | ( | RenderState |  | ) |

Returns a RenderState for rendering the outside surfaces of the bounding volume visualizations.

Returns a RenderState for increasing the DepthOffset by one.

Returns a RenderState for rendering the inside surfaces of the bounding volume visualizations.

Definition at line 488 of file cullTraverser.cxx.

## ◆ PT()

PT | ( | Geom |  | ) |

Returns an appropriate visualization of the indicated bounding volume.

Returns a bounding-box visualization of the indicated node's "tight" bounding volume.

Returns a point on the surface of the sphere. latitude and longitude range from 0.0 to 1.0.

Definition at line 294 of file cullTraverser.cxx.

References BoundingVolume::is_empty(), BoundingVolume::is_infinite(), and TypedObject::is_of_type().